Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io.pof
Class PortableException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.tangosol.io.pof.PortableException`

All Implemented Interfaces:
  PortableObject, Serializable

Direct Known Subclasses:
  RequestPolicyException, RequestTimeoutException

      public class PortableException

extends RuntimeException
implements PortableObject

A PortableException is an exception that allows information about a remote exception or error to be serialized and deserialized to/from a POF stream.

Author:
  jh,mf 2006.08.04

Field Summary
`protected String[]` | `m_asStackRemote` A raw representation of the remote stack trace for this exception.
`protected String` | `m_sMessage` The exception's message.
`protected String` | `m_sName` The exception's name.

Constructor Summary
`protected` | `PortableException()` Default constructor.
`protected` | `PortableException(String sMessage)` Constructs a PortableException with the specified detail message.
`protected` | `PortableException(String sMessage, Throwable e)` Construct a PortableException from a Throwable object and an additional description.
`protected` | `PortableException(Throwable e)` Construct a PortableException from a Throwable object.

Method Summary
`String[]` | `getFullStackTrace()` Return an array of Strings containing the full representation of the stack trace.
`String` | `getMessage()` Return the detail message string of this PortableException.
`String` | `getName()` Return the name of the exception.
`void` | `printStackTrace(PrintStream stream)` Print this PortableException and its stack trace to the specified stream.
`void` | `printStackTrace(PrintWriter writer)` Print this PortableException and its stack trace to the specified writer.
`void` | `readExternal(PofReader in)` Restore the contents of a user type instance by reading its state using the specified PofReader object.
`String` | `toString()` Return a human-readable description for this exception.
`void` | `writeExternal(PofWriter out)` Save the contents of a POF user type instance by writing its state using the specified PofWriter object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Field Detail

### m_sName

    protected String m_sName

  The exception's name.

### m_sMessage

    protected String m_sMessage

  The exception's message.

### m_asStackRemote

    protected String[] m_asStackRemote

  A raw representation of the remote stack trace for this exception.

Constructor Detail

### PortableException

    protected PortableException()

  Default constructor.

### PortableException

    protected PortableException(String sMessage)

  Constructs a PortableException with the specified detail message.
  Parameters:
    `sMessage` - the String that contains a detailed message

### PortableException

    protected PortableException(Throwable e)

  Construct a PortableException from a Throwable object.
  Parameters:
    `e` - the Throwable object

### PortableException

    protected PortableException(String sMessage,
                                Throwable e)

  Construct a PortableException from a Throwable object and an additional description.
  Parameters:
    `sMessage` - the additional description
    `e` - the Throwable object

Method Detail

### getName

    public String getName()

  Return the name of the exception.
  Returns:
    the name of the exception

### getFullStackTrace

    public String[] getFullStackTrace()

  Return an array of Strings containing the full representation of the stack trace. The first element of the stack represents the exception's point of origin.
  Returns:
    the full stack trace

### readExternal

    public void readExternal(PofReader in)
                      throws IOException

  Restore the contents of a user type instance by reading its state using the specified PofReader object.
  Specified by:
    `readExternal` in interface `PortableObject`
  Parameters:
    `in` - the PofReader from which to read the object's state
  Throws:
    `IOException` - if an I/O error occurs

### writeExternal

    public void writeExternal(PofWriter out)
                       throws IOException

  Save the contents of a POF user type instance by writing its state using the specified PofWriter object.
  Specified by:
    `writeExternal` in interface `PortableObject`
  Parameters:
    `out` - the PofWriter to which to write the object's state
  Throws:
    `IOException` - if an I/O error occurs

### getMessage

    public String getMessage()

  Return the detail message string of this PortableException.
  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message string (may be null)

### printStackTrace

    public void printStackTrace(PrintStream stream)

  Print this PortableException and its stack trace to the specified stream.
  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `stream` - the PrintStream to use for the output

### printStackTrace

    public void printStackTrace(PrintWriter writer)

  Print this PortableException and its stack trace to the specified writer.
  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `writer` - the PrintWriter to use for the output

### toString

    public String toString()

  Return a human-readable description for this exception.
  Overrides:
    `toString` in class `Throwable`
  Returns:
    a String description of the PortableException

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.